# Uses of Class io.dapr.v1.DaprProtos.DecryptResponse (dapr-sdk-parent 1.14.1 API)
use: package: io.dapr.v1, class: DaprProtos, class: DecryptResponse

# Uses of Class
io.dapr.v1.DaprProtos.DecryptResponse

Packages that use DaprProtos.DecryptResponse
Package
Description
io.dapr.v1

## Uses of DaprProtos.DecryptResponse in io.dapr.v1

Methods in io.dapr.v1 that return DaprProtos.DecryptResponse
Modifier and Type
Method
Description
`DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.Builder.`build()`
`DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.Builder.`buildPartial()`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`getDefaultInstance()`
`DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.Builder.`getDefaultInstanceForType()`
`DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`getDefaultInstanceForType()`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseDelimitedFrom(InputStream input)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(byte[] data)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(com.google.protobuf.ByteString data)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(InputStream input)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(ByteBuffer data)`
`static DaprProtos.DecryptResponse`
DaprProtos.DecryptResponse.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in io.dapr.v1 that return types with arguments of type DaprProtos.DecryptResponse
Modifier and Type
Method
Description
`static io.grpc.MethodDescriptor<DaprProtos.DecryptRequest,DaprProtos.DecryptResponse>`
DaprGrpc.`getDecryptAlpha1Method()`
`com.google.protobuf.Parser<DaprProtos.DecryptResponse>`
DaprProtos.DecryptResponse.`getParserForType()`
`static com.google.protobuf.Parser<DaprProtos.DecryptResponse>`
DaprProtos.DecryptResponse.`parser()`
Methods in io.dapr.v1 with parameters of type DaprProtos.DecryptResponse
Modifier and Type
Method
Description
`DaprProtos.DecryptResponse.Builder`
DaprProtos.DecryptResponse.Builder.`mergeFrom(DaprProtos.DecryptResponse other)`
`static DaprProtos.DecryptResponse.Builder`
DaprProtos.DecryptResponse.`newBuilder(DaprProtos.DecryptResponse prototype)`
Method parameters in io.dapr.v1 with type arguments of type DaprProtos.DecryptResponse
Modifier and Type
Method
Description
`default io.grpc.stub.StreamObserver<DaprProtos.DecryptRequest>`
DaprGrpc.AsyncService.`decryptAlpha1(io.grpc.stub.StreamObserver<DaprProtos.DecryptResponse> responseObserver)`
DecryptAlpha1 decrypts a message using the Dapr encryption scheme and a key stored in the vault.
`io.grpc.stub.StreamObserver<DaprProtos.DecryptRequest>`
DaprGrpc.DaprStub.`decryptAlpha1(io.grpc.stub.StreamObserver<DaprProtos.DecryptResponse> responseObserver)`
DecryptAlpha1 decrypts a message using the Dapr encryption scheme and a key stored in the vault.